curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"account_id": "acc_4m9amk4KFiaQX",
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "active",
"success_likelihood": 0.82,
"optimal_retry_date": "2026-05-28",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
Preauth Signals
Create Preauth Signals
POST
/
preauth
curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"account_id": "acc_4m9amk4KFiaQX",
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "active",
"success_likelihood": 0.82,
"optimal_retry_date": "2026-05-28",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
Computes a PreauthSignals assessment for a connected credit card Account.
Operation Type:
Body
Returns
Returns a PreauthSignals object.curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"account_id": "acc_4m9amk4KFiaQX",
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "active",
"success_likelihood": 0.82,
"optimal_retry_date": "2026-05-28",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
Errors
- An unknown
account_idreturns404. - An Account that is not a liability-backed credit card returns
400withPREAUTH_ACCOUNT_NOT_SUPPORTED. - An Account with withdrawn consent returns
400withPREAUTH_ACCOUNT_CONSENT_WITHDRAWN. - A disabled Account returns
400withPREAUTH_ACCOUNT_DISABLED. - If the Account’s underlying liability cannot be found while processing a valid request, the assessment returns
status: "failed"witherror.sub_type: "PREAUTH_FAILED_LIABILITY_NOT_FOUND".